### Method

# Ide TreeNode set_icon_name

#### Declaration

    void
    ide_tree_node_set_icon_name (
      IdeTreeNode* self,
      const gchar* icon_name
    )

#### Description

Sets the `IdeTreeNode:icon` property using an icon-name.

Available since: | 3.32

Sets property | `Ide.TreeNode:icon-name`

#### Parameters

`icon_name` | `const gchar*`
| The name of the icon, or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.